<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;

Route::group([
    'prefix'    => 'payments',
    'namespace' => 'Admin',
    'as'        => 'payment.',
], function (Router $router) {
    $router->get('', 'IndexController@index')->name('index');
    $router->get('refunds', 'RefundController@index')->name('refunds.index');
    $router->get('bills', 'BillController@index');
    $router->resource('settings', 'SettingController');

    $router->get('wechats/ajax', 'WechatController@ajax')->name('wechats.ajax');
    $router->resource('wechats', 'WechatController');
    $router->get('alipays/ajax', 'AlipayController@ajax')->name('alipays.ajax');
    $router->resource('alipays', 'AlipayController');

    $router->get('redpacks', 'RedpackController@index');
    $router->get('transfers', 'TransferController@index');
});
